<?php if (!defined('PmWiki')) exit();

$format =  (isset($_GET['format'])) ? $_GET['format'] : 'xhtml';

#handle pdf metadata settings
SDV($TypesetForValues, 'searcha?|wikilog|typeset|print|include|book|letter');
if (preg_match("/^($TypesetForValues)p(rint|ublish)$/",$action,$a)) {
    $TypesetFor = $a[1];
    $action = 'p'.$a[2];
} elseif ($action=='texerror')
    $format = 'pdferror';
elseif (@$_GET['pdfoptions']) $action = 'tex'.$_GET['ptype'];

if ($format == 'pdf') {
  $FmtPV['$PageUrlText'] = 
         'preg_replace("/([a-z])([A-Z])/",    "$1<discy kind=\"$2\"/>",
          preg_replace("/([-.,=_%\\/?])(.)/", "<discy kind=\"$1\"/>$2", 
                  PUE(($EnablePathInfo) ? "$ScriptUrl/$group/$name" 
                                        : "$ScriptUrl?n=$group.$name")))';

  require('altmarkup.php');
  require('stdmarkup.php');
  if ($MarkupEnabled['citations'])
      require('citations.php');  // must load after stdmarkup removes tbook
  require('glossary.php');
  require('tables.php');
  require('wikibookstyles.php'); 
  require('lists.php');

  $FPLMarkupFunction = $FPLTemplateMarkupFunction = 'MarkupToWikibook';
function MarkupToWikibook($pagename, $out, $opt = NULL) {
  global $wikibook_section, $BypassTables;
  $BypassTables = 1;
  $oWS = $wikibook_section;
  $r = str_replace(array('<tbook:/','<'), array('</tbook:','<tbook:'),
    MarkupToHTML($pagename, $out, $opt));
  $wikibook_section = $oWS;
  $BypassTables = 0;
  return $r;
}

}


?>